import React, { Component, useState, useEffect } from 'react';
import styled from 'styled-components'
import axios from 'axios';
import { apiUrl } from '../env';
import Card from '@material-ui/core/Card';
import CardActions from '@material-ui/core/CardActions';

export default function TopicCard(props) {
  return (	
		<CardModel>
			<CardImage src="https://plataformaintegrada.mec.gov.br/img/colecoes/pobreza0.jpg" />
			<Title>
				<BoldTitle>Módulo I:</BoldTitle> módulo
			</Title>
			<CardActions>
				Ver mais
			</CardActions>
		</CardModel>
  );
}

const Title=styled.h1`
	font-weight: 500;
	color: rgb(102, 102, 102);
	font-size: 0.9em;
	margin-left: 10px;
	margin-right: 10px;
`
const CardModel=styled(Card)`
	width: 18%;
	margin-right: 10px;
	margin-bottom: 30px;
	padding: 0;
	height: 225px;
`
const CardImage=styled.img`
	width: 100%;
`
const BoldTitle=styled.span`
	font-weight: bold;
`
